// Fix service worker issue
if (document.getElementById("browser-support-notice")) {
	navigator.serviceWorker.getRegistration().then(function (r) { r.unregister(); document.location.reload() });
}

window.addEventListener('load', function () {
    setTimeout(function() {
        // Show CDC branding
        var img = new Image();
        img.src = "https://www.culte-du-code.fr/wp-content/uploads/2020/07/favicon.png";
        img.width = 36;
        img.style = "margin-left: 15px;";

        img.onclick = function() {
             window.open('https://www.culte-du-code.fr/', '_blank').focus();
        };

        var elements = document.querySelectorAll('.logo');

        Array.from(elements).forEach((element, index) => {
            element.appendChild(img);
        });

        Notification.requestPermission( function(status) {
            if(status === "granted") {
                var previousTitle = "";

                setInterval(function() {
                    var newTitle = document.querySelectorAll('[data-testid=nowplaying-track-link]')[0]['text'];
                    var newSubtitle = document.querySelectorAll('.Root__now-playing-bar > footer:nth-child(1) > div:nth-child(1) > div:nth-child(1) > div:nth-child(1) > div:nth-child(2) > div:nth-child(2) > span:nth-child(1) > span:nth-child(1) > a:nth-child(1)')[0]['text'];
                    var newCover = document.querySelectorAll('.cover-art-image')[0]['src'];

                    if(newTitle !== previousTitle) {
                        new Notification(newTitle, {
                            body: newSubtitle,
                            icon: newCover,
                        });
                        
                        previousTitle = newTitle;
                    }
                }, 2000);
            }
        });

        var elements = document.querySelectorAll('.Root__nav-bar div div div a span');

        Array.from(elements).forEach((element, index) => {
            if(element.innerText === "Installer l'appli") {
                element.parentNode.style.display = "none"
            }
        });
    }, 10000);
});
